Index: uspace/lib/socket/packet/packet_client.c
===================================================================
--- uspace/lib/socket/packet/packet_client.c	(revision 7c8267bcb6529519f2f87fb59adae95a03a25d91)
+++ uspace/lib/socket/packet/packet_client.c	(revision 3fe57ea764b506fd09a0f43fff81a9cc4c360172)
@@ -46,41 +46,50 @@
 #include <packet/packet_client.h>
 
-int packet_copy_data(packet_t packet, const void * data, size_t length){
-	if(! packet_is_valid(packet)){
-		return EINVAL;
-	}
-	if(packet->data_start + length >= packet->length){
+int packet_copy_data(packet_t packet, const void * data, size_t length)
+{
+	if (!packet_is_valid(packet))
+		return EINVAL;
+
+	if (packet->data_start + length >= packet->length)
 		return ENOMEM;
-	}
+
 	memcpy((void *) packet + packet->data_start, data, length);
-	if(packet->data_start + length > packet->data_end){
+	if (packet->data_start + length > packet->data_end) 
 		packet->data_end = packet->data_start + length;
-	}
+
 	return EOK;
 }
 
-void * packet_prefix(packet_t packet, size_t length){
-	if((! packet_is_valid(packet)) || (packet->data_start - sizeof(struct packet) - 2 * (packet->dest_addr - packet->src_addr) < length)){
-		return NULL;
-	}
+void *packet_prefix(packet_t packet, size_t length)
+{
+	if ((!packet_is_valid(packet)) ||
+	    (packet->data_start - sizeof(struct packet) -
+	    2 * (packet->dest_addr - packet->src_addr) < length)) {
+		return NULL;
+	}
+
 	packet->data_start -= length;
 	return (void *) packet + packet->data_start;
 }
 
-void * packet_suffix(packet_t packet, size_t length){
-	if((! packet_is_valid(packet)) || (packet->data_end + length >= packet->length)){
-		return NULL;
-	}
+void *packet_suffix(packet_t packet, size_t length)
+{
+	if ((!packet_is_valid(packet)) ||
+	    (packet->data_end + length >= packet->length)) {
+		return NULL;
+	}
+
 	packet->data_end += length;
 	return (void *) packet + packet->data_end - length;
 }
 
-int packet_trim(packet_t packet, size_t prefix, size_t suffix){
-	if(! packet_is_valid(packet)){
-		return EINVAL;
-	}
-	if(prefix + suffix > PACKET_DATA_LENGTH(packet)){
+int packet_trim(packet_t packet, size_t prefix, size_t suffix)
+{
+	if (!packet_is_valid(packet))
+		return EINVAL;
+
+	if (prefix + suffix > PACKET_DATA_LENGTH(packet))
 		return ENOMEM;
-	}
+
 	packet->data_start += prefix;
 	packet->data_end -= suffix;
@@ -88,35 +97,36 @@
 }
 
-packet_id_t packet_get_id(const packet_t packet){
+packet_id_t packet_get_id(const packet_t packet)
+{
 	return packet_is_valid(packet) ? packet->packet_id : 0;
 }
 
-int packet_get_addr(const packet_t packet, uint8_t ** src, uint8_t ** dest){
-	if(! packet_is_valid(packet)){
-		return EINVAL;
-	}
-	if(! packet->addr_len){
+int packet_get_addr(const packet_t packet, uint8_t ** src, uint8_t ** dest)
+{
+	if (!packet_is_valid(packet))
+		return EINVAL;
+	if (!packet->addr_len)
 		return 0;
-	}
-	if(src){
+	if (src)
 		*src = (void *) packet + packet->src_addr;
-	}
-	if(dest){
+	if (dest)
 		*dest = (void *) packet + packet->dest_addr;
-	}
+
 	return packet->addr_len;
 }
 
-size_t packet_get_data_length(const packet_t packet){
-	if(! packet_is_valid(packet)){
+size_t packet_get_data_length(const packet_t packet)
+{
+	if (!packet_is_valid(packet))
 		return 0;
-	}
+
 	return PACKET_DATA_LENGTH(packet);
 }
 
-void * packet_get_data(const packet_t packet){
-	if(! packet_is_valid(packet)){
-		return NULL;
-	}
+void *packet_get_data(const packet_t packet)
+{
+	if (!packet_is_valid(packet))
+		return NULL;
+
 	return (void *) packet + packet->data_start;
 }
@@ -160,5 +170,6 @@
 }
 
-packet_t packet_get_copy(int phone, packet_t packet){
+packet_t packet_get_copy(int phone, packet_t packet)
+{
 	packet_t copy;
 	uint8_t * src = NULL;
@@ -166,22 +177,26 @@
 	size_t addrlen;
 
-	if(! packet_is_valid(packet)){
-		return NULL;
-	}
+	if (!packet_is_valid(packet))
+		return NULL;
+
 	// get a new packet
-	copy = packet_get_4_local(phone, PACKET_DATA_LENGTH(packet), PACKET_MAX_ADDRESS_LENGTH(packet), packet->max_prefix, PACKET_MIN_SUFFIX(packet));
-	if(! copy){
-		return NULL;
-	}
+	copy = packet_get_4_local(phone, PACKET_DATA_LENGTH(packet),
+	    PACKET_MAX_ADDRESS_LENGTH(packet), packet->max_prefix,
+	    PACKET_MIN_SUFFIX(packet));
+	if (!copy)
+		return NULL;
+
 	// get addresses
 	addrlen = packet_get_addr(packet, &src, &dest);
 	// copy data
-	if((packet_copy_data(copy, packet_get_data(packet), PACKET_DATA_LENGTH(packet)) == EOK)
-	// copy addresses if present
-		&& ((addrlen <= 0) || (packet_set_addr(copy, src, dest, addrlen) == EOK))){
+	if ((packet_copy_data(copy, packet_get_data(packet),
+	    PACKET_DATA_LENGTH(packet)) == EOK) &&
+	    // copy addresses if present
+	    ((addrlen <= 0) ||
+	    (packet_set_addr(copy, src, dest, addrlen) == EOK))) {
 		copy->order = packet->order;
 		copy->metric = packet->metric;
 		return copy;
-	}else{
+	} else {
 		pq_release_local(phone, copy->packet_id);
 		return NULL;
